<?php get_header(); ?>
<div id="post">
	<div id="menu">
		<h2>最新文章</h2>
		<div class="menu_left"><!--<?php wp_list_categories('title_li=&orderby=id'); ?> -->	
			<div class="menu">
				<li><a href="#">全部分类</a>
					<ul><?php wp_list_categories('sorderby=name&depth=4&title_li='); ?></ul>
				</li>
			</div>	
		</div>
		<div class="menu_right"><div id="feed"><a href="<?php bloginfo('rss2_url'); ?>" title="RSS">RSS</a></div></div>
	</div>
  <!--end: menu-->
	<div class="navigation"><?php if(function_exists('wp_pagenavi')) { wp_pagenavi(); } ?></div>
<div class="clear"></div>
 <!--end: navigation-->	

	<div id="latest">
		<?php if ( $paged < 2 ) { ?>

		<?php $my_query = new WP_Query('showposts=1');
		while ($my_query->have_posts()) : $my_query->the_post();
		$do_not_duplicate = $post->ID; ?>
	
	<div class="latest_entry" id="post-<?php the_ID(); ?>">
		<div class="title_box">
			<div class="t_title">
				<h3><a href="<?php the_permalink() ?>" rel="bookmark" title="详细阅读＞ <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h3>
			</div>
			<div class="info">
				<span class="date"><?php the_time('Y年m月j日') ?></span>
				<span class="comment"><?php comments_popup_link('添加评论', '1条评论', '% 条评论'); ?></span>
				<?php if(function_exists(the_views)) { the_views(' 次阅读', true);}?>
				<span class="more"> <a href="<?php the_permalink() ?>" title="详细阅读 <?php the_title(); ?>" rel="bookmark" class="title">阅读全文</a></span>
				<span class="edit"><?php edit_post_link('编辑', ' [ ', ' ] '); ?></span>
			</div>
		</div>
		<div class="n_img"></div>
			<div class="clear"></div>
		<?php the_excerpt(__('(more...)')); ?>
	</div>
  	

		<div class="thumbnail">
			<?php 
					$thumbnail = get_post_custom();
					$scrap = get_bloginfo('stylesheet_directory') . '/timthumb.php?';
					if (empty($thumbnail['thumbnail'][0])) {
						$imagpath = $scrap . 'src=' . get_bloginfo('stylesheet_directory') . '/images/thumbnail.jpg' . '&amp;w=140&amp;h=100&amp;zc=0';
					} else {
						$imagpath = $scrap . 'src=' .   $thumbnail['thumbnail'][0] . '&amp;w=140&amp;h=100&amp;zc=0';
					}
				?>  
					<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title(); ?>"><img src="<?php echo $imagpath; ?>" alt="<?php the_title(); ?>" /></a>

		</div>
		<?php endwhile; ?>		
	</div>
		<div class="clear"></div>
	  <!--end: latest-->
	
	<div class="hot">	
		<?php $recent = new WP_Query("cat=27&showposts=2&offset=0"); while($recent->have_posts()) : $recent->the_post();?><!--修改cat=后面的数字为分类ID号-->
			<div class="hot_newer">
				<div class="t_title">
					<h3><a href="<?php the_permalink() ?>" rel="bookmark" title="详细阅读＞ <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h3>
				</div>
				<div class="info">
					<span class="date"><?php the_time('Y年m月j日') ?></span>
					<span class="comment"><?php comments_popup_link('添加评论', '1条评论', '% 条评论'); ?></span>
					<?php if(function_exists(the_views)) { the_views(' 次阅读', true);}?>
					<span class="more"><a href="<?php the_permalink() ?>" title="详细阅读 <?php the_title(); ?>" rel="bookmark" class="title">阅读全文</a></span>
					<span class="edit"><?php edit_post_link('编辑', ' [ ', ' ] '); ?></span>
				</div>
					<?php the_excerpt(__('(more...)')); ?>
			</div>
		<div class="thumbnail">
			<?php 
					$thumbnail = get_post_custom();
					$scrap = get_bloginfo('stylesheet_directory') . '/timthumb.php?';
					if (empty($thumbnail['thumbnail'][0])) {
						$imagpath = $scrap . 'src=' . get_bloginfo('stylesheet_directory') . '/images/thumbnail.jpg' . '&amp;w=140&amp;h=100&amp;zc=0';
					} else {
						$imagpath = $scrap . 'src=' .   $thumbnail['thumbnail'][0] . '&amp;w=140&amp;h=100&amp;zc=0';
					}
				?>  
					<a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title(); ?>"><img src="<?php echo $imagpath; ?>" alt="<?php the_title(); ?>" /></a>

		</div>
		<div class="clear"></div>
		<?php endwhile; ?>

	</div>
	  <!--end: hot-->
	<div class="recent">
		<?php if (have_posts()) : while (have_posts()) : the_post();
		if( $post->ID == $do_not_duplicate ) continue; update_post_caches($posts); ?>
		<div class="recent_entries" id="post-<?php the_ID(); ?>">
			<div class="title">
					<h3><a href="<?php the_permalink() ?>" rel="bookmark" title="详细阅读＞ <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h3>
			</div>
			<div class="info">
				<span class="date"><?php the_time('Y年m月j日') ?></span>
				<span class="comment"><?php comments_popup_link('添加评论', '1条评论', '% 条评论'); ?></span>
				<?php if(function_exists(the_views)) { the_views(' 次阅读', true);}?>
				<span class="more"><a href="<?php the_permalink() ?>" title="详细阅读 <?php the_title(); ?>" rel="bookmark" class="title">阅读全文</a></span>
				<span class="edit"><?php edit_post_link('编辑', ' [ ', ' ] '); ?></span>
			</div>
				<?php the_excerpt(__('(more...)')); ?>
		</div>
		<?php endwhile; endif; ?>
	</div>
	  <!--end: recent-->
	<div class="recent">
		<?php } else { ?>
		
		<?php if (have_posts()) : while (have_posts()) : the_post();
		if( $post->ID == $do_not_duplicate ) continue; update_post_caches($posts); ?>

		<div class="recent_entries" id="post-<?php the_ID(); ?>">
			<div class="title">
				<h3><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h3>
			</div>
			<div class="info">
				<span class="date"><?php the_time('Y年m月j日') ?></span>
				<span class="comment"><?php comments_popup_link('添加评论', '1条评论', '% 条评论'); ?></span>
				<?php if(function_exists(the_views)) { the_views(' 次阅读', true);}?>
				<span class="more"><a href="<?php the_permalink() ?>" title="详细阅读 <?php the_title(); ?>" rel="bookmark" class="title">阅读全文</a></span>
				<span class="edit"><?php edit_post_link('编辑', ' [ ', ' ] '); ?></span>
			</div>
			<div class="recent_c"><?php the_excerpt(__('(more...)')); ?></div>
		</div>
<?php endwhile; endif; ?>
<?php } ?>
</div>
	  <!--end: recent-->
	<div class="navigation"><?php if(function_exists('wp_pagenavi')) { wp_pagenavi(); } ?></div>
<div class="clear"></div>
	<div id="menu_b">
	<h2>网站地图</h2>
	<div id="rss"><a href="<?php bloginfo('comments_rss2_url'); ?>"title="Comments (RSS)">Comments (RSS)</a></div>
</div>

	<div id="bottom_widget">
		<div class="widget_l">
			<div class="bottom_widget">
				<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('Bottom Widget left') ) : ?>
				<?php endif; ?> 
			</div>
		</div>
				<!--<div class="widget_r">
	    				<div class="bottom_widget">
							<?php if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar('Bottom Widget right') ) : ?>
							<?php endif; ?>
					</div>-->
			<div class="tag">
				<h2>热门标签</h2>
				<div class="tag_c"><?php wp_tag_cloud('smallest=12&largest=16&unit=px&number=38');?></div>
			</div>
	
			<div class="link">
				<?php
					if(function_exists(’wp_dtree_get_links’)){
					wp_dtree_get_links();
					}else{
					wp_list_bookmarks();
					}
					?>
			</div>	
		<div class="clear"></div>
	</div>		
</div>


<?php get_sidebar(); ?>
<?php get_footer(); ?>
